@font-face {
font-family: "Fredoka";
src: url("./fonts/Fredoka-VariableFont_wdth,wght.woff2") format("woff2")
}

*, *::before, *::after{
    box-sizing: border-box;
}

:root{
    --bg: oklch(0.99 0.003 325);
--primary: oklch(0.25 0.01 325);
    font-family: "Fredoka", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
}
body{
    margin: 0;
}

.container{
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}


header{
    background-color: var(--primary);
    color: var(--bg);
}


nav ul{
    padding: 0;
    margin: 0;
    list-style:none;
    flex-wrap: wrap;
    display:flex;
}
nav a{
    padding-top: 1rem;
    padding-bottom: 1rem;
    padding-inline: 2rem;
    display: inline-block;
    color: var(--bg);
    background-color: var(--primary);
    text-decoration: none;
    margin-left: -2rem;
}



.row {
    display: flex;
    gap: 2rem;

    .col {
        border: 1px dashed oklch(59.396% 0.24812 339.663);
        padding: 1rem;

        &:first-child {
            flex: 2;
        }

        &:last-child {
            flex: 1;
        }
    }
}

.visually-hidden {
    position: absolute;
    height: 1px;
    width: 1px;
    padding: 0;
    margin: -1px;
    border: 0;
    overflow: hidden;
    white-space: nowrap;
}

main{

    nav{
        --text:oklch(0.99 0.003 325);;
        --bg:oklch(0.45 0.32 40);;
        color: var(--text);
        }

        nav a {
            padding-block: 1rem;
            padding-inline: 3rem;
            display: inline-block;
            color: var(--text);
            background-color: var(--bg);
            transition: color .2s ease-in-out, background-color 1s ease-out;
            
            &:hover, &:focus-visible {
            color: var(--bg);
            background-color: var(--text)
            }

        }
        
        nav ul {
            flex-wrap: wrap;
            list-style: none;
            justify-content: flex-end;
            display: flex;
        }
        
        nav li:first-child {
            margin-inline-end: auto;
            margin-inline-start: -1.5rem;
        }
        
        nav li:first-child a {
            color: black;
            background-color: white;
            font-weight: bolder;
            margin-inline-end: auto;
            margin-inline-start:-1.5rem;
        }
       
         nav ul li:not(:first-child) {
            background-color: white;
        }     
}

.cards{
    padding: 0;
    margin: 0;
    flex: 0;
    flex-wrap: wrap;
    gap: 1rem;
    list-style: none;
    display: flex;
    li {
        box-shadow: 0 0 .2rem oklch(0 0 0 / .2), 0 0 2rem oklch(0 0 0 / .1);
        border-radius: 5%;
        flex: 18rem;
        flex-direction: column;
        position: relative;
        overflow: hidden;
        display: flex;
        
        .content {
            margin: auto;
            padding-block-end: 1rem;
        }

        img {
            order: -1;
        }
    }

    .overlay-link {
        position: absolute;
        text-indent: 100%;
        inset: 0;
        white-space: nowrap;
        overflow: hidden;
    }
}   

